Zotero.Schema = {
	// CSL type/field mappings used by Utilities.itemFromCSLJSON()
	// Added during build by gulpfile.js
	CSL_TYPE_MAPPINGS: {"document":"article","attachment":"article","note":"article","journalArticle":"article-journal","magazineArticle":"article-magazine","newspaperArticle":"article-newspaper","bill":"bill","hearing":"bill","book":"book","computerProgram":"book","podcast":"broadcast","tvBroadcast":"broadcast","radioBroadcast":"broadcast","bookSection":"chapter","dictionaryEntry":"entry-dictionary","encyclopediaArticle":"entry-encyclopedia","artwork":"graphic","interview":"interview","case":"legal_case","statute":"legislation","manuscript":"manuscript","map":"map","film":"motion_picture","videoRecording":"motion_picture","conferencePaper":"paper-conference","patent":"patent","letter":"personal_communication","email":"personal_communication","instantMessage":"personal_communication","forumPost":"post","blogPost":"post-weblog","report":"report","audioRecording":"song","presentation":"speech","thesis":"thesis","webpage":"webpage"}, CSL_TYPE_MAPPINGS_REVERSE: {"article":["document","attachment","note"],"article-journal":["journalArticle"],"article-magazine":["magazineArticle"],"article-newspaper":["newspaperArticle"],"bill":["bill","hearing"],"book":["book","computerProgram"],"broadcast":["podcast","tvBroadcast","radioBroadcast"],"chapter":["bookSection"],"entry-dictionary":["dictionaryEntry"],"entry-encyclopedia":["encyclopediaArticle"],"graphic":["artwork"],"interview":["interview"],"legal_case":["case"],"legislation":["statute"],"manuscript":["manuscript"],"map":["map"],"motion_picture":["film","videoRecording"],"paper-conference":["conferencePaper"],"patent":["patent"],"personal_communication":["letter","email","instantMessage"],"post":["forumPost"],"post-weblog":["blogPost"],"report":["report"],"song":["audioRecording"],"speech":["presentation"],"thesis":["thesis"],"webpage":["webpage"]}, CSL_TEXT_MAPPINGS: {"abstract":["abstractNote"],"archive":["archive"],"archive_location":["archiveLocation"],"authority":["court","legislativeBody","issuingAuthority"],"call-number":["callNumber","applicationNumber"],"chapter-number":["session"],"collection-number":["seriesNumber"],"collection-title":["seriesTitle","series"],"container-title":["publicationTitle","reporter","code"],"dimensions":["artworkSize","runningTime"],"DOI":["DOI"],"edition":["edition"],"event":["meetingName","conferenceName"],"event-place":["place"],"genre":["type","programmingLanguage"],"ISBN":["ISBN"],"ISSN":["ISSN"],"issue":["issue","priorityNumbers"],"journalAbbreviation":["journalAbbreviation"],"language":["language"],"medium":["medium","system"],"note":["extra"],"number":["number"],"number-of-pages":["numPages"],"number-of-volumes":["numberOfVolumes"],"page":["pages"],"publisher":["publisher"],"publisher-place":["place"],"references":["history","references"],"scale":["scale"],"section":["section","committee"],"shortTitle":["shortTitle"],"source":["libraryCatalog"],"status":["legalStatus"],"title":["title"],"title-short":["shortTitle"],"URL":["url"],"version":["versionNumber"],"volume":["volume","codeNumber"]}, CSL_TYPE_MAPPINGS_REVERSE: {"article":["document","attachment","note"],"article-journal":["journalArticle"],"article-magazine":["magazineArticle"],"article-newspaper":["newspaperArticle"],"bill":["bill","hearing"],"book":["book","computerProgram"],"broadcast":["podcast","tvBroadcast","radioBroadcast"],"chapter":["bookSection"],"entry-dictionary":["dictionaryEntry"],"entry-encyclopedia":["encyclopediaArticle"],"graphic":["artwork"],"interview":["interview"],"legal_case":["case"],"legislation":["statute"],"manuscript":["manuscript"],"map":["map"],"motion_picture":["film","videoRecording"],"paper-conference":["conferencePaper"],"patent":["patent"],"personal_communication":["letter","email","instantMessage"],"post":["forumPost"],"post-weblog":["blogPost"],"report":["report"],"song":["audioRecording"],"speech":["presentation"],"thesis":["thesis"],"webpage":["webpage"]}, CSL_DATE_MAPPINGS: {"accessed":"accessDate","issued":"date","submitted":"filingDate"}, CSL_NAME_MAPPINGS: {"author":"author","bookAuthor":"container-author","composer":"composer","director":"director","editor":"editor","interviewer":"interviewer","recipient":"recipient","reviewedAuthor":"reviewed-author","seriesEditor":"collection-editor","translator":"translator"}, CSL_FIELD_MAPPINGS_REVERSE: {"abstractNote":"abstract","archive":"archive","archiveLocation":"archive_location","court":"authority","legislativeBody":"authority","issuingAuthority":"authority","callNumber":"call-number","applicationNumber":"call-number","session":"chapter-number","seriesNumber":"collection-number","seriesTitle":"collection-title","series":"collection-title","publicationTitle":"container-title","reporter":"container-title","code":"container-title","artworkSize":"dimensions","runningTime":"dimensions","DOI":"DOI","edition":"edition","meetingName":"event","conferenceName":"event","place":"publisher-place","type":"genre","programmingLanguage":"genre","ISBN":"ISBN","ISSN":"ISSN","issue":"issue","priorityNumbers":"issue","journalAbbreviation":"journalAbbreviation","language":"language","medium":"medium","system":"medium","extra":"note","number":"number","numPages":"number-of-pages","numberOfVolumes":"number-of-volumes","pages":"page","publisher":"publisher","history":"references","references":"references","scale":"scale","section":"section","committee":"section","shortTitle":"title-short","libraryCatalog":"source","legalStatus":"status","title":"title","url":"URL","versionNumber":"version","volume":"volume","codeNumber":"volume","accessDate":"accessed","date":"issued","filingDate":"submitted"}
};
